package gr.mybook.lifeofactivity;

import android.os.Bundle;
import android.app.Activity;
import android.util.Log;
import android.view.Menu;
import android.widget.Toast;

public class MainActivity extends Activity {
    private static final String TAG = "gr.mybook.lifeofactivity";
    
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		Log.i(TAG,"onCreate callback method");
		Toast.makeText(getApplicationContext(), "AAA", Toast.LENGTH_SHORT).show();

	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	
	@Override
	protected void onStart() {
		super.onStart();
		Log.i(TAG,"onStart callback method");
	}
	
	@Override
	protected void onResume() {
		super.onResume();
		Log.i(TAG,"onResume callback method");
	}

	@Override
	protected void onRestart() {
		super.onRestart();
		Log.i(TAG,"onRestart callback method");
	}
	
	@Override
	protected void onPause() {
		super.onPause();
		Log.i(TAG,"onPause callback method");
	}
	
	protected void onStop() {
		super.onStop();
		Log.i(TAG,"onStop callback method");
	}
	
	@Override
	protected void onDestroy() {
		super.onDestroy();
		Log.i(TAG,"onDestroy callback method");
	}
	
	@Override
	protected void onSaveInstanceState(Bundle outState) {
		super.onSaveInstanceState(outState);
		Log.i(TAG,"onSaveInstanceState callback method");
	}
	
	@Override
	protected void onRestoreInstanceState(Bundle savedInstanceState) {
		super.onRestoreInstanceState(savedInstanceState);
		Log.i(TAG,"onRestoreInstanceState callback method");
	}
	
}
